native_fold="<Root path of the Code>/CodeData/data/native"
model_fold="<Root path of the Code>/CodeData/data/CASP11"
save_to="tm_result.txt"

prefix="T"
native_ext=".native.pdb"
model_pre="model"
model_ext=".pdb"

array_target=($(awk '{print $0}' target_list.txt))
array_model=($(awk '{print $0}' model_result.txt))
length=${#array_target[*]}

rm -f ./$save_to
for((j=0;j<length;j++))
do
	native="$native_fold/$prefix${array_target[j]}$native_ext"
	model="$model_fold/$prefix${array_target[j]}/$model_pre${array_model[j]}$model_ext"
	result=($(TMscore $model $native | grep "TM-score    = "| awk '{print $3}'))
	echo "$prefix${array_target[j]} - $result"
	echo $result >> ./$save_to
done
